Anki syncing failure error

Mr A 's Avatar

Mr A

26 Jan, 2020 08:01 PM

Every time I open and close the app, I am unable to sync and instead it pops up with this:

Syncing failed:
Traceback (most recent call last):
  File "urllib3/connectionpool.py", line 665, in urlopen
  File "urllib3/connectionpool.py", line 376, in _make_request
  File "urllib3/connectionpool.py", line 994, in _validate_conn
  File "urllib3/connection.py", line 386, in connect
  File "urllib3/util/ssl_.py", line 370, in ssl_wrap_socket
  File "ssl.py", line 500, in wrap_socket
  File "ssl.py", line 1040, in _create
  File "ssl.py", line 1309, in do_handshake
OSError: [Errno 0] Error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "requests/adapters.py", line 439, in send
  File "urllib3/connectionpool.py", line 719, in urlopen
  File "urllib3/util/retry.py", line 400, in increment
  File "urllib3/packages/six.py", line 734, in reraise
  File "urllib3/connectionpool.py", line 665, in urlopen
  File "urllib3/connectionpool.py", line 376, in _make_request
  File "urllib3/connectionpool.py", line 994, in _validate_conn
  File "urllib3/connection.py", line 386, in connect
  File "urllib3/util/ssl_.py", line 370, in ssl_wrap_socket
  File "ssl.py", line 500, in wrap_socket
  File "ssl.py", line 1040, in _create
  File "ssl.py", line 1309, in do_handshake
urllib3.exceptions.ProtocolError: ('Connection aborted.', OSError(0, 'Error'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "aqt/sync.py", line 449, in _sync
  File "aqt/sync.py", line 429, in _abortingSync
  File "anki/sync.py", line 59, in sync
  File "anki/sync.py", line 650, in meta
  File "anki/sync.py", line 617, in req
  File "anki/sync.py", line 482, in post
  File "requests/sessions.py", line 581, in post
  File "requests/sessions.py", line 533, in request
  File "requests/sessions.py", line 646, in send
  File "requests/adapters.py", line 498, in send
requests.exceptions.ConnectionError: ('Connection aborted.', OSError(0, 'Error'))

I am using anki Version 2.1.19 (3c8690ae)
Python 3.8.0 Qt 5.14.0 PyQt 5.13.2

Any help is thoroughly appreciated.

  1. Support Staff 1 Posted by Damien Elmes on 27 Jan, 2020 07:29 AM

    Damien Elmes's Avatar

    Perhaps you have antivirus or firewall software on your machine that is blocking Anki.

Comments are closed, but you can start a new discussion.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac